Foxit PDF SDK

Public Member Functions | List of all members
foxit::addon::pdf3d::PDF3DAnnotViewDataArray Class Reference

This class represents an array of PDF3DAnnotViewData. More...

Inherits Object.

## Public Member Functions
| PDF3DAnnotViewDataArray ()
| Constructor.
| PDF3DAnnotViewDataArray (const PDF3DAnnotViewDataArray &other)
| Constructor, with another array object. More...
| ~ PDF3DAnnotViewDataArray ()
| Destructor.
void | Add (const PDF3DAnnotViewData &element)
| Add an element to the end of current array. More...
PDF3DAnnotViewData | GetAt (size_t index) const
| Retrieve a copy of the element at position specified by index in current array. More...
size_t | GetSize () const
| Get the size of elements in current array. More...
void | InsertAt (size_t index, const PDF3DAnnotViewData &element)
| Insert an element before the position specified by index. More...
PDF3DAnnotViewDataArray & | operator= (const PDF3DAnnotViewDataArray &other)
| Assign operator. More...
PDF3DAnnotViewData & | operator[] (size_t index) const
| Retrieve a reference to the element at position specified by index in current array. More...
void | RemoveAll ()
| Remove all the element from current array. More...
void | RemoveAt (size_t index)
| Remove the element in position specified by index. More...

## Detailed Description

This class represents an array of PDF3DAnnotViewData.

## Constructor & Destructor Documentation

## ◆ PDF3DAnnotViewDataArray()

foxit::addon::pdf3d::PDF3DAnnotViewDataArray::PDF3DAnnotViewDataArray | ( | const PDF3DAnnotViewDataArray & | other | ) |

Constructor, with another array object.

Parameters

  [in] | other | Another array object.

## Member Function Documentation

## ◆ Add()

void foxit::addon::pdf3d::PDF3DAnnotViewDataArray::Add | ( | const PDF3DAnnotViewData & | element | ) |

Add an element to the end of current array.

Parameters

  [in] | element | New element to be added to current array.

Returns
  None.

## ◆ GetAt()

PDF3DAnnotViewData foxit::addon::pdf3d::PDF3DAnnotViewDataArray::GetAt | ( | size_t | index | ) | const

Retrieve a copy of the element at position specified by index in current array.

Parameters

  [in] | index | An index to specify which element is to be retrieved.

Returns
  A copy of an element.

## ◆ GetSize()

size_t foxit::addon::pdf3d::PDF3DAnnotViewDataArray::GetSize | ( |  | ) | const

Get the size of elements in current array.

Returns
  The size.

## ◆ InsertAt()

void foxit::addon::pdf3d::PDF3DAnnotViewDataArray::InsertAt | ( | size_t | index,
|  | const PDF3DAnnotViewData & | element
| ) |  |

Insert an element before the position specified by index.

Parameters

  [in] | index | An index to specify where to insert the new element. Valid range: from 0 to (size-1). size is the size of elements in current array.
  [in] | element | New element to be inserted to current array.

Returns
  None.

## ◆ operator=()

PDF3DAnnotViewDataArray& foxit::addon::pdf3d::PDF3DAnnotViewDataArray::operator= | ( | const PDF3DAnnotViewDataArray & | other | ) |

Assign operator.

Parameters

  [in] | other | Another array object, whose value will be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator[]()

PDF3DAnnotViewData& foxit::addon::pdf3d::PDF3DAnnotViewDataArray::operator[] | ( | size_t | index | ) | const

Retrieve a reference to the element at position specified by index in current array.

Parameters

  [in] | index | An index to specify which element is to be retrieved.

Returns
  Reference to an element.

## ◆ RemoveAll()

void foxit::addon::pdf3d::PDF3DAnnotViewDataArray::RemoveAll | ( |  | ) |

Remove all the element from current array.

Returns
  None.

## ◆ RemoveAt()

void foxit::addon::pdf3d::PDF3DAnnotViewDataArray::RemoveAt | ( | size_t | index | ) |

Remove the element in position specified by index.

Parameters

  [in] | index | An index to specify which element is to be removed. Valid range: from 0 to (size-1). size is the size of elements in current array.

Returns
  None.